summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/activeldap/Manifest1
-rw-r--r--dev-ruby/activeldap/activeldap-6.0.4.ebuild38
-rw-r--r--dev-ruby/activesupport/activesupport-6.1.6.1.ebuild2
-rw-r--r--dev-ruby/excon/Manifest1
-rw-r--r--dev-ruby/excon/excon-0.92.4.ebuild45
-rw-r--r--dev-ruby/i18n/i18n-1.8.11.ebuild4
-rw-r--r--dev-ruby/rexml/rexml-3.2.5-r1.ebuild2
-rw-r--r--dev-ruby/sinatra/Manifest1
-rw-r--r--dev-ruby/sinatra/sinatra-2.2.1.ebuild34
-rw-r--r--dev-ruby/xpath/xpath-3.2.0-r1.ebuild2
10 files changed, 86 insertions, 44 deletions
diff --git a/dev-ruby/activeldap/Manifest b/dev-ruby/activeldap/Manifest
index 637e8d068922..d61b70eb4a47 100644
--- a/dev-ruby/activeldap/Manifest
+++ b/dev-ruby/activeldap/Manifest
@@ -1,3 +1,2 @@
DIST activeldap-5.2.4.gem 226304 BLAKE2B f13b5a1cf423b44087d55d3a4957be1444d598ab1d1bd7d83ee545a2806b77b47124edcb326fc567eb06e866c62a2ad0c3dafd903232588f824bc2978c197d60 SHA512 da37cfa20c8be7151669ba3b409994c668b037a2f318b1b034f6fa9c0e56a9a778b03a26415cbd98c8ba3fa1d487d42343bc0532665c1037880e75474a1c708f
-DIST activeldap-6.0.4.gem 227328 BLAKE2B 8b1307e8c4b0fffe6cbd43a71cd11d2414570e8b0c1007152b99dca467b17f60efea1ff65f2bb5bc5ec6d6dd58f7a8a44e131887927c16d6bb90371f2b82c0d6 SHA512 26517692217d2f88db61fef12c16d0916eebbb3081db6431487dfa48dba5e6757af74d0dd9779694ba04957cf8ba855b6d5dc77986f7ad705cc359353fe87469
DIST activeldap-6.1.0.gem 227328 BLAKE2B 48cd393a294b677b373461701773d3d0c18cbe9ee5124bcbafe392ee664a0e1045feb2d808734988bfceaaf7ae7b276ea12615ae30bb8109d63daf4b6a8cbed5 SHA512 b8a8d1346d75ae1ddd15b919f2a7afbec3e62b4248144ece3e1324892899735b05aa221ecec7c07f6273f35a6ffdacf4858d57326fb9b8c096f358652ef0b99d
diff --git a/dev-ruby/activeldap/activeldap-6.0.4.ebuild b/dev-ruby/activeldap/activeldap-6.0.4.ebuild
deleted file mode 100644
index 2c07111cb086..000000000000
--- a/dev-ruby/activeldap/activeldap-6.0.4.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby25 ruby26"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="TODO doc/text/*"
-RUBY_FAKEGEM_EXTRAINSTALL="po"
-
-inherit ruby-fakegem
-
-MY_P="${P/ruby-/}"
-DESCRIPTION="ActiveLDAP provides an activerecord inspired object oriented interface to LDAP"
-HOMEPAGE="https://github.com/activeldap/activeldap"
-
-LICENSE="GPL-2"
-SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64"
-IUSE=""
-
-# Most tests require a live LDAP server to run.
-RESTRICT="test"
-
-ruby_add_rdepend "
- >=dev-ruby/activemodel-5.2.0:*
- dev-ruby/builder
- dev-ruby/locale
- dev-ruby/ruby-gettext
- dev-ruby/gettext_i18n_rails
- || ( dev-ruby/ruby-net-ldap >=dev-ruby/ruby-ldap-0.8.2 )"
-
-all_ruby_install() {
- all_fakegem_install
-
- dodoc doc/text/*
- dodoc -r examples
-}
diff --git a/dev-ruby/activesupport/activesupport-6.1.6.1.ebuild b/dev-ruby/activesupport/activesupport-6.1.6.1.ebuild
index a58618422fce..a8b60fd8760b 100644
--- a/dev-ruby/activesupport/activesupport-6.1.6.1.ebuild
+++ b/dev-ruby/activesupport/activesupport-6.1.6.1.ebuild
@@ -19,7 +19,7 @@ SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz
LICENSE="MIT"
SLOT="$(ver_cut 1-2)"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE=""
RUBY_S="rails-${PV}/${PN}"
diff --git a/dev-ruby/excon/Manifest b/dev-ruby/excon/Manifest
index 689f06e051f6..03441534691d 100644
--- a/dev-ruby/excon/Manifest
+++ b/dev-ruby/excon/Manifest
@@ -1 +1,2 @@
DIST excon-0.92.3.tar.gz 215423 BLAKE2B e07a2ca3289c1bbf4b0c3de1ef2802d85311461ceb931b9fa90b9b6837f779303490f8773cb71b8a977d5d87ebb60343d10a0966158541af34771d163c7cc814 SHA512 908ea503c2b7b4e865fcff080579bf18319c1b15f2e5b7ec7f52b6d4ebb0561b187cd18fad47c1ceadfa64700257ebf80e927b70f8679c8d00db3abc8d07f8c6
+DIST excon-0.92.4.tar.gz 219663 BLAKE2B f07bae2e9522860abbcdd1e987b808f935119fa8c6feee2868988eea14d017f656f4e17d54b637923706c9f462cd282d69e71fb9bdb71352c5a93f8f693c7a6d SHA512 dbcad9566f658dd2f49bb2fcd4cdc3a664c8d1dbc8fdfed7decf223c0f9510e3d53a3228a782a4f98f75a43be036433e1bb8d1443a2c0db18c675e28d813075a
diff --git a/dev-ruby/excon/excon-0.92.4.ebuild b/dev-ruby/excon/excon-0.92.4.ebuild
new file mode 100644
index 000000000000..e35a57ecbdaf
--- /dev/null
+++ b/dev-ruby/excon/excon-0.92.4.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="changelog.txt README.md"
+RUBY_FAKEGEM_GEMSPEC="excon.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="EXtended http(s) CONnections"
+HOMEPAGE="https://github.com/excon/excon"
+SRC_URI="https://github.com/excon/excon/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+ruby_add_bdepend "
+ dev-ruby/rake
+ test? (
+ dev-ruby/activesupport
+ >=dev-ruby/json-1.8.5
+ dev-ruby/open4
+ dev-ruby/rdoc
+ dev-ruby/sinatra
+ )
+"
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files --/find */' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # test that need network
+ rm -f spec/excon/test/server_spec.rb || die
+
+ # tests that depend on eventmachine which is broken and no longer maintained
+ rm -f tests/{bad,error,pipeline,response,request}_tests.rb \
+ tests/{batch-requests,complete_responses}.rb \
+ tests/middlewares/{decompress,mock}_tests.rb || die
+ rm -f spec/requests/eof_requests_spec.rb spec/excon/error_spec.rb || die
+}
diff --git a/dev-ruby/i18n/i18n-1.8.11.ebuild b/dev-ruby/i18n/i18n-1.8.11.ebuild
index ad5e996d6a74..b2e9f662db61 100644
--- a/dev-ruby/i18n/i18n-1.8.11.ebuild
+++ b/dev-ruby/i18n/i18n-1.8.11.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -18,7 +18,7 @@ SRC_URI="https://github.com/svenfuchs/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
LICENSE="MIT"
SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_rdepend "dev-ruby/concurrent-ruby:1"
diff --git a/dev-ruby/rexml/rexml-3.2.5-r1.ebuild b/dev-ruby/rexml/rexml-3.2.5-r1.ebuild
index 7fbbb382746d..715e4dc41366 100644
--- a/dev-ruby/rexml/rexml-3.2.5-r1.ebuild
+++ b/dev-ruby/rexml/rexml-3.2.5-r1.ebuild
@@ -18,7 +18,7 @@ SRC_URI="https://github.com/ruby/rexml/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="3"
all_ruby_prepare() {
diff --git a/dev-ruby/sinatra/Manifest b/dev-ruby/sinatra/Manifest
index cdb58e6d0774..40464145f181 100644
--- a/dev-ruby/sinatra/Manifest
+++ b/dev-ruby/sinatra/Manifest
@@ -1 +1,2 @@
DIST sinatra-2.2.0.tar.gz 513752 BLAKE2B e407b9241cab27e326c0a2d4d83593e292de902b6ed19a12f17b0cd114230b0d10f1ffaa8f8b8237d17b547c7e012c57456af357019b228f3d7a88847220cf33 SHA512 be9432a8efa93578accc836cd0fecca128e56989d8596f1b3d33d2d956e90acd80244b98473fff2adae13ed4a1e933c41e73c80755a6f3418a65cdf33c011145
+DIST sinatra-2.2.1.tar.gz 513047 BLAKE2B 38cec7c3b2e27ac795044d7d64a00deb09707523a13338328bb1d7657b3d8eee9ab9730c6eb903c04f64acca6d24b8f191f825056baa0e705bf7ebf5594c0d46 SHA512 73f35428e259867a9b9adbf7344dd78dfe3c5ae2749902d438e2bcd95c4e7e9935ecb7761a4c52928e3e05fd99f8497db3fc049c868f9b2e76c653b4271c87b5
diff --git a/dev-ruby/sinatra/sinatra-2.2.1.ebuild b/dev-ruby/sinatra/sinatra-2.2.1.ebuild
new file mode 100644
index 000000000000..20f026413a36
--- /dev/null
+++ b/dev-ruby/sinatra/sinatra-2.2.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_TEST="MT_NO_PLUGINS=true test:core"
+
+RUBY_FAKEGEM_EXTRADOC="README.md AUTHORS.md CHANGELOG.md"
+
+RUBY_FAKEGEM_GEMSPEC="sinatra.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A DSL for quickly creating web applications in Ruby with minimal effort"
+HOMEPAGE="http://www.sinatrarb.com/"
+SRC_URI="https://github.com/sinatra/sinatra/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend "
+ dev-ruby/mustermann:1
+ dev-ruby/rack:2.2
+ ~dev-ruby/rack-protection-${PV}
+ dev-ruby/tilt:2"
+ruby_add_bdepend "test? ( >=dev-ruby/rack-test-0.5.6 dev-ruby/erubis dev-ruby/builder <dev-ruby/activesupport-7 )"
+ruby_add_bdepend "doc? ( dev-ruby/yard )"
+
+all_ruby_prepare() {
+ sed -i -e '/active_support\/core_ext\/hash/igem "activesupport", "<7"' test/helper.rb || die
+}
diff --git a/dev-ruby/xpath/xpath-3.2.0-r1.ebuild b/dev-ruby/xpath/xpath-3.2.0-r1.ebuild
index 497f4840b218..b1bc0903ead4 100644
--- a/dev-ruby/xpath/xpath-3.2.0-r1.ebuild
+++ b/dev-ruby/xpath/xpath-3.2.0-r1.ebuild
@@ -15,7 +15,7 @@ DESCRIPTION="XPath is a Ruby DSL around a subset of XPath 1.0"
HOMEPAGE="https://github.com/jnicklas/xpath"
LICENSE="MIT"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
SLOT="3"
IUSE=""